"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.KnobBackgroundColor = exports.BackgroundColor = void 0;

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var BackgroundColor = _styledComponents.default.div.withConfig({
  displayName: "BackgroundColor",
  componentId: "sc-8hktyk-0"
})(["position:absolute;top:0;right:0;bottom:0;left:0;overflow:auto;color:", ";background-color:", ";"], _ref => {
  var {
    theme
  } = _ref;
  return theme.color.text01();
}, _ref2 => {
  var {
    theme
  } = _ref2;
  return theme.color.background00();
});

exports.BackgroundColor = BackgroundColor;
var KnobBackgroundColor = (0, _styledComponents.default)(BackgroundColor).withConfig({
  displayName: "BackgroundColor__KnobBackgroundColor",
  componentId: "sc-8hktyk-1"
})(["background-color:lightyellow;"]);
exports.KnobBackgroundColor = KnobBackgroundColor;