"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Divider = void 0;

var _styledComponents = _interopRequireWildcard(require("styled-components"));

var _designparams = require("../designparams");

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

/**
 * Divider shows a divider line
 */
var Divider = _styledComponents.default.div.withConfig({
  displayName: "Divider",
  componentId: "sc-11d85eg-0"
})(["height:1px;background-color:", ";", ""], _ref => {
  var {
    theme
  } = _ref;
  return theme.color.element12();
}, props => props.variant === 'middle' ? (0, _styledComponents.css)(["margin:0 ", ";"], _designparams.spacing.huge) : props.variant === 'inset' ? (0, _styledComponents.css)(["margin-left:", "px;"], props.insetSize !== undefined ? props.insetSize : 64) : undefined);

exports.Divider = Divider;